﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using Ellab.Charting;

namespace ChartingSandbox
{
    public partial class ChartingSandboxForm : Form
    {
        private const int NO_OF_CHART_POINTS = 50;
        private double[] x = new double[NO_OF_CHART_POINTS];
        private double[] y = new double[NO_OF_CHART_POINTS];

        public ChartingSandboxForm()
        {
            InitializeComponent();
            FillChartControl();
        }

        private void FillChartControl()
        {
            Random randomY = new Random();
            DateTime dateTime = DateTime.Now;
            DateTime roundedDateTime = new DateTime(dateTime.Year, dateTime.Month, dateTime.Day, dateTime.Hour, dateTime.Minute, dateTime.Second);

            for (int i = 0; i < NO_OF_CHART_POINTS; i++)
            {
                x[i] = roundedDateTime.AddSeconds((double)i).ToOADate();
                y[i] = (double)randomY.Next(100);
            }
            ISeries serie = chartControl.CreateSeries(Ellab.Charting.SeriesType.LineSeries, "irrelevant");
            serie.Data.Add(x, y);
        }

        private void buttonShowData_Click(object sender, EventArgs e)
        {
            ShowData.ShowDataGridView showDataGridView = new ShowData.ShowDataGridView();
            for (int i = 0; i < NO_OF_CHART_POINTS; i++)
            {
                showDataGridView.AddData(x[i], y[i]);
            }
            showDataGridView.Show();
        }
    }
}
